package com.tuoheng.admin.service.role;

import com.tuoheng.admin.dto.RoleMenuDto;
import com.tuoheng.admin.entity.Role;
import com.tuoheng.admin.query.RoleClientQuery;
import com.tuoheng.admin.query.RoleQuery;
import com.tuoheng.common.core.common.IBaseService;
import com.tuoheng.common.core.utils.JsonResult;

/**
 * @Author ChengWang
 * @Date 2022/12/16
 */
public interface IRoleService {

    JsonResult getRolePageList(RoleQuery roleQuery);

    JsonResult getRoleList();

    JsonResult editRole(Role entity);

    JsonResult deleteByList(Integer[] roleIds);

    JsonResult getRoleLists();

    JsonResult getMenuList(RoleClientQuery query);

    JsonResult updateStatus(Role entity);

    JsonResult savePermission(RoleMenuDto roleMenuDto);

    JsonResult roleToTenant(Integer[] ids);

    JsonResult getRoles();

}
